<?php

namespace App\ViewModels\Pagamento\PagamentoComandaFormaPagamentoRegistrationViewModel;

use App\Utils\Builder;

class FormaPagamentoBoletoViewModelBuilder implements Builder {
	protected $numero;
	protected $data_venc;
	protected $valor;

	public function build(): FormaPagamentoBoletoViewModel {

		$formaPagaentoBoleto_vm = new FormaPagamentoBoletoViewModel();
		$formaPagaentoBoleto_vm->setNumero( $this->numero ?? '');
		$formaPagaentoBoleto_vm->setDataVenc( $this->data_venc ?? '' );
		$formaPagaentoBoleto_vm->setValor( $this->valor ?? 0.00);
		
		return $formaPagaentoBoleto_vm;

	}

	/**
	 *
	 * @param mixed $numero
	 */
	public function setNumero($numero) {

		$this->numero = $numero;
		return $this;

	}

	/**
	 *
	 * @param mixed $data_venc
	 */
	public function setDataVenc($data_venc) {

		$this->data_venc = $data_venc;
		return $this;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {
		
		$this->valor = $valor;
		return $this;
		
	}
	
}

